# class Xapian::Xapian::Match

    Ruby wrapper for a Match, i.e. a Xapian::MSetIterator (Match Set) in C++.

it's no longer an iterator in the Ruby version, but we want to preserve its non-iterative data. (MSetIterator is not dangerous, but it is inconvenient to use from a Ruby idiom, so we wrap it..)

### Attributes

collapse_count[RW]
docid[RW]
document[RW]
percent[RW]
rank[RW]
weight[RW]

### Public Class Methods

new(docid, document, rank, weight, collapse_count, percent) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 93
    def initialize(docid, document, rank, weight, collapse_count, percent)
      @docid = docid
      @document = document
      @rank = rank
      @weight = weight
      @collapse_count = collapse_count
      @percent = percent
    end

### Public Instance Methods

==(other) click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 102
    def ==(other)
      return other.is_a?(Xapian::Match) && other.docid == @docid && other.rank == @rank &&
        other.weight == @weight && other.collapse_count == @collapse_count && other.percent == @percent
    end